## org.red5.server.api.stream
Interface IRtmpSampleAccess

All Known Implementing Classes:
  RtmpSampleAccess

    public interface IRtmpSampleAccess

Field Summary
`static String` `BEAN_NAME`

Method Summary
`boolean` `isAudioAllowed(IScope scope)` Return true if sample access allowed on audio stream
`boolean` `isVideoAllowed(IScope scope)` Return true if sample access allowed on video stream

Field Detail

### BEAN_NAME

    static final String BEAN_NAME

See Also:
  Constant Field Values

Method Detail

### isAudioAllowed

    boolean isAudioAllowed(IScope scope)

  Return true if sample access allowed on audio stream

  Parameters:
    `scope` -
  Returns:
    true if sample access allowed on audio stream

### isVideoAllowed

    boolean isVideoAllowed(IScope scope)

  Return true if sample access allowed on video stream

  Parameters:
    `scope` -
  Returns:
    true if sample access allowed on video stream

Copyright © 2006-2010 The Red5 Project